The officially official Devuan Forum!

You are not logged in.

#1 2017-09-25 11:30:46

boycottsystemd
Member
Registered: 2017-09-25
Posts: 20

security updates, debian repo

Hello,

I've run

unattended-upgrade

after installation of Devuan. There were no packages to update.

Then I've run full upgrade which updated among others kernel and Firefox. These were not security updates ?

Then I've added

deb http://security.debian.org/ stretch/updates main contrib non-free

into

/etc/apt/sources.list

and run

apt-get update && apt-get upgrade

Then I noticed that it is not recommended to use debian repos.

These packages were upgraded:

  iceweasel libbluetooth3 libexpat1 libfreerdp-primitives1.1 libgcrypt20
  libsoup-gnome2.4-1 libtiff5 libwbclient0 libwinpr-crt0.1 libwinpr-crypto0.1
  libwinpr-dsparse0.1 libwinpr-environment0.1 libwinpr-file0.1
  libwinpr-handle0.1 libwinpr-heap0.1 libwinpr-input0.1
  libwinpr-interlocked0.1 libwinpr-library0.1 libwinpr-path0.1
  libwinpr-synch0.1 libwinpr-sysinfo0.1 libwinpr-thread0.1 multiarch-support
  python-libxml2 xserver-common


Preparing to unpack .../libwbclient0_2%3a4.5.8+dfsg-2+deb9u2_amd64.deb ...
Unpacking libwbclient0:amd64 (2:4.5.8+dfsg-2+deb9u2) over (2:4.2.14+dfsg-0+deb8u8) ...
Preparing to unpack .../multiarch-support_2.24-11+deb9u1_amd64.deb ...
Unpacking multiarch-support (2.24-11+deb9u1) over (2.19-18+deb8u10) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
Setting up multiarch-support (2.24-11+deb9u1) ...
(Reading database ... 95970 files and directories currently installed.)
Preparing to unpack .../libgcrypt20_1.7.6-2+deb9u2_amd64.deb ...
Unpacking libgcrypt20:amd64 (1.7.6-2+deb9u2) over (1.6.3-2+deb8u4) ...
Preparing to unpack .../iceweasel_52.3.0esr-1~deb9u1_all.deb ...
Unpacking iceweasel (52.3.0esr-1~deb9u1) over (52.3.0esr-1~deb8u2) ...
Preparing to unpack .../libbluetooth3_5.43-2+deb9u1_amd64.deb ...
Unpacking libbluetooth3:amd64 (5.43-2+deb9u1) over (5.23-2+deb8u1) ...
Preparing to unpack .../libexpat1_2.2.0-2+deb9u1_amd64.deb ...
Unpacking libexpat1:amd64 (2.2.0-2+deb9u1) over (2.1.0-6+deb8u4) ...
Preparing to unpack .../libwinpr-sysinfo0.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libwinpr-sysinfo0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../libfreerdp-primitives1.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libfreerdp-primitives1.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../libsoup-gnome2.4-1_2.56.0-2+deb9u1_amd64.deb ...
Unpacking libsoup-gnome2.4-1:amd64 (2.56.0-2+deb9u1) over (2.48.0-1+deb8u1) ...
Preparing to unpack .../libtiff5_4.0.8-2+deb9u1_amd64.deb ...
Unpacking libtiff5:amd64 (4.0.8-2+deb9u1) over (4.0.3-12.3+deb8u4) ...
Preparing to unpack .../libwinpr-crt0.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libwinpr-crt0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../libwinpr-crypto0.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libwinpr-crypto0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../libwinpr-dsparse0.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libwinpr-dsparse0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../libwinpr-environment0.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libwinpr-environment0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../libwinpr-handle0.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libwinpr-handle0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../libwinpr-file0.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libwinpr-file0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../libwinpr-heap0.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libwinpr-heap0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../libwinpr-input0.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libwinpr-input0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../libwinpr-interlocked0.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libwinpr-interlocked0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../libwinpr-library0.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libwinpr-library0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../libwinpr-path0.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libwinpr-path0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../libwinpr-thread0.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libwinpr-thread0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../libwinpr-synch0.1_1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1_amd64.deb ...
Unpacking libwinpr-synch0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) over (1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1) ...
Preparing to unpack .../python-libxml2_2.9.4+dfsg1-2.2+deb9u1_amd64.deb ...
Unpacking python-libxml2 (2.9.4+dfsg1-2.2+deb9u1) over (2.9.1+dfsg1-5+deb8u5) ...
Preparing to unpack .../xserver-common_2%3a1.19.2-1+deb9u1_all.deb ...
Unpacking xserver-common (2:1.19.2-1+deb9u1) over (2:1.16.4-1+deb8u1) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for mime-support (3.58) ...
Processing triggers for man-db (2.7.0.2-5) ...
Setting up libwbclient0:amd64 (2:4.5.8+dfsg-2+deb9u2) ...
Setting up libgcrypt20:amd64 (1.7.6-2+deb9u2) ...
Setting up iceweasel (52.3.0esr-1~deb9u1) ...
Setting up libbluetooth3:amd64 (5.43-2+deb9u1) ...
Setting up libexpat1:amd64 (2.2.0-2+deb9u1) ...
Setting up libwinpr-sysinfo0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up libfreerdp-primitives1.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up libsoup-gnome2.4-1:amd64 (2.56.0-2+deb9u1) ...
Setting up libtiff5:amd64 (4.0.8-2+deb9u1) ...
Setting up libwinpr-crt0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up libwinpr-crypto0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up libwinpr-dsparse0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up libwinpr-environment0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up libwinpr-handle0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up libwinpr-file0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up libwinpr-heap0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up libwinpr-input0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up libwinpr-interlocked0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up libwinpr-library0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up libwinpr-path0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up libwinpr-thread0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up libwinpr-synch0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-13+deb9u1) ...
Setting up python-libxml2 (2.9.4+dfsg1-2.2+deb9u1) ...
Setting up xserver-common (2:1.19.2-1+deb9u1) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...

I've removed debian repo from my sources.list.
What should I do now to correct my system ?

Offline

#2 2017-09-25 12:26:11

fsmithred
Administrator
Registered: 2016-11-25
Posts: 469

Re: security updates, debian repo

I'm not sure what the best solution is. One thing you could try is downgrading all those packages to the version you had previously. The deb packages can be found in /var/cache/apt/archives. But that could be messy.

If everything seems to be working, you might just leave it alone. Wait for us to do some work on ascii and then switch your sources from jessie to ascii and upgrade the rest of your packages so they are from the same release as the ones you just pulled from stretch. No guarantees that it won't be messy, too. But maybe it will work ok.

If you are adventurous and know your way around the package manager pretty well, you could try upgrading the rest of the system to ascii now. You will probably run into conflicts. Don't do it unless you are comfortable with the idea of solving those problems and would not mind reinstalling if it turns out badly.


jessie = jessie
ascii = stretch
beowulf = buster
ceres = sid

Offline

#3 2017-09-25 14:28:33

golinux
Administrator
Registered: 2016-11-25
Posts: 681

Re: security updates, debian repo

Keep in mind that devuan does not yet have beowulf repos set up.  Hopefully coming soon.

Offline

#4 2017-09-26 08:17:19

boycottsystemd
Member
Registered: 2017-09-25
Posts: 20

Re: security updates, debian repo

Thank you both.

There are some troubles with bumblebee and sound but I'm not sure it's caused by debian repos and I can wait for ascii.

I'm looking forward it :-)

Regards, B.

Offline

Board footer